Project

General

Profile

Tâche #33717

Scénario #33643: Evaluation des changements EOLE 2.9.0

Enlever la dépendance de fam à eole-courier-pkg

Added by Laurent Gourvenec 10 months ago. Updated 10 months ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
01/17/2022
Due date:
% Done:

100%

Remaining (hours):
0.0

Description

Le paquet fam n'est plus installable et eole-courier-pkg ne semble plus l'utiliser.


Related issues

Related to Distribution EOLE - Tâche #31189: Ajouter la dépendance fam manquante Fermé 11/20/2020

Associated revisions

Revision b5d13dd6 (diff)
Added by Laurent Gourvenec 10 months ago

Remove fam dependancy

Ref: #33717

Revision 60fea399 (diff)
Added by Laurent Gourvenec 10 months ago

Revert "Remove fam dependancy"

This reverts commit b5d13dd600880c1463a4abdce875a9d3dfd4bf4f.
Ref: #33717

Revision c4acbe8e (diff)
Added by Emmanuel GARETTE 10 months ago

resupprime la dépendance à fam (ref #33717)

History

#1 Updated by Joël Cuissinat 10 months ago

  • Related to Tâche #31189: Ajouter la dépendance fam manquante added

#2 Updated by Laurent Gourvenec 10 months ago

Laurent Gourvenec a écrit :

Le paquet fam n'est plus installable et eole-courier-pkg ne semble plus l'utiliser.

En réalité le paquet est totalement installable, apt l'installe si on le lui demande. Le problème semble venir du mélange des PPA (stable/unstable)

E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

En revanche, il faudrait vérifier l'utilité de cette dépendance.

#3 Updated by Laurent Gourvenec 10 months ago

  • Assigned To set to Laurent Gourvenec
  • % Done changed from 0 to 100

Dépendance remise. Plus de problème depuis la dernière synchro avec les dépôts Ubuntu officiels.

#4 Updated by Laurent Gourvenec 10 months ago

  • Status changed from Nouveau to À valider

#5 Updated by Emmanuel GARETTE 10 months ago

  • Status changed from À valider to Résolu

#6 Updated by Joël Cuissinat 10 months ago

  • Status changed from Résolu to En cours

Visiblement le problème est revenu... à surveiller donc !

root@scribe:~# apt policy fam
fam:
  Installé : (aucun)
  Candidat : 2.7.0-17.3build2
 Table de version :
     2.7.0-17.3build2 500
        500 http://test-eole.ac-dijon.fr/ubuntu jammy/universe amd64 Packages

root@scribe:~# apt policy eole-courier-pkg
eole-courier-pkg:
  Installé : 2.9.0-2
  Candidat : 2.9.0-3
 Table de version :
     2.9.0-3 500
        500 http://test-eole.ac-dijon.fr/eole eole-2.9-unstable/main amd64 Packages
 *** 2.9.0-2 100
        100 /var/lib/dpkg/status

root@scribe:~# apt install eole-courier-pkg 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 eole-courier-pkg : Dépend: fam mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

root@scribe:~# apt install fam
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  courier-authdaemon courier-authlib-userdb libcourier-unicode4
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  courier-base courier-imap courier-pop eole-courier-pkg eole-scribe-all gamin libgamin0
Les NOUVEAUX paquets suivants seront installés :
  fam

#7 Updated by Emmanuel GARETTE 10 months ago

  • Status changed from En cours to Résolu

#8 Updated by Joël Cuissinat 10 months ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) set to 0.0
root@mail:~# apt show eole-courier-pkg
Package: eole-courier-pkg
Version: 2.9.0-4
Priority: optional
Section: metapackages
Source: eole-courier
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Installed-Size: 12,3 kB
Provides: courier-pkg
Depends: courier-authlib-ldap, courier-eolecas, courier-imap, courier-pop
Conflicts: courier-pkg
Replaces: courier-pkg
   [ ... ]

Also available in: Atom PDF